from abc import ABC, abstractmethod


class BatchedSqlContext(ABC):
    @property
    @abstractmethod
    def cursor(self):
        pass

    @property
    @abstractmethod
    def batch_size(self) -> int:
        pass

    @property
    @abstractmethod
    def link_batch_size(self) -> int:
        pass

    @property
    @abstractmethod
    def dry_run(self) -> bool:
        pass
